Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.surround.query
Class BasicQueryFactory

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.BasicQueryFactory

    public class BasicQueryFactory

extends Object

Constructor Summary
`BasicQueryFactory()`
`BasicQueryFactory(int maxBasicQueries)`

Method Summary
`int` | `getMaxBasicQueries()`
`int` | `getNrQueriesMade()`
`org.apache.lucene.search.spans.SpanTermQuery` | `newSpanTermQuery(org.apache.lucene.index.Term term)`
`org.apache.lucene.search.TermQuery` | `newTermQuery(org.apache.lucene.index.Term term)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicQueryFactory

    public BasicQueryFactory(int maxBasicQueries)

### BasicQueryFactory

    public BasicQueryFactory()

Method Detail

### getNrQueriesMade

    public int getNrQueriesMade()

### getMaxBasicQueries

    public int getMaxBasicQueries()

### newTermQuery

    public org.apache.lucene.search.TermQuery newTermQuery(org.apache.lucene.index.Term term)
                                                    throws TooManyBasicQueries

  Throws:
    `TooManyBasicQueries`

### newSpanTermQuery

    public org.apache.lucene.search.spans.SpanTermQuery newSpanTermQuery(org.apache.lucene.index.Term term)
                                                                  throws TooManyBasicQueries

  Throws:
    `TooManyBasicQueries`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD